@charset "UTF-8";

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line {
	display: grid;
	align-items: center;
	grid-template-columns: 16px auto;
	-moz-column-gap: 4px;
	column-gap: 4px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line::before {
	content: '';
	width: 16px;
	height: 16px;
	background-image: url(../images/icons/common/user.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line > ul {
	padding-inline-start: 0;
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	list-style-type: '';
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line > ul > li {
	line-height: 1.4;
	color: #1156bd;
	font-weight: 600;
	font-size: 0.625rem;
	letter-spacing: 2%;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line > ul > li + li::before {
	content: '｜';
}

.l-common-contents {
	padding-block-end: 64px;
}

.l-common-contents .c-breadcrumb {
	margin-block-end: 16px;
}

.c-archive-header {
	grid-column: 1/-1;
	position: relative;
}

.c-archive-header::before,
.c-archive-header::after {
	content: '';
	position: absolute;
	z-index: 1;
}

.c-archive-header::before {
	inset: 0;
	margin-inline: calc(50% - 50cqi);
	background-color: #1156bd;
}

.c-archive-header::after {
	top: 0;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 1920px;
	background-image: url(../images/archive/common/background-header.png);
	background-size: 1920px auto;
	background-repeat: repeat;
}

.c-archive-header .c-archive-header-text {
	padding-block: 24px;
	position: relative;
	z-index: 3;
}

.c-archive-header .c-archive-header-text::before,
.c-archive-header .c-archive-header-text::after {
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	z-index: 1;
	width: 100vw;
}

.c-archive-header .c-archive-header-text::before {
	left: 50%;
	translate: -50%;
	max-width: 1280px;
	background-size: 250px auto;
	background-position: right -2px bottom;
	background-repeat: no-repeat;
}

.c-archive-header .c-archive-header-text::after {
	left: calc(50% + 960px);
	background-image: url(../images/archive/common/background-header-repeat.png);
	background-size: 500px auto;
	background-repeat: repeat;
}

.c-archive-content {
	padding: 24px;
	border-radius: 12px;
	background-color: #fff;
}

.c-archive-content p.is-no-results {
	margin-block-start: 0;
	padding-block: 80px;
	font-weight: 600;
	letter-spacing: 2%;
	text-align: center;
}

.c-archive-content .c-archive-count > p {
	margin-block-start: 0;
	color: #333;
	font-size: 0.75rem;
	letter-spacing: 2%;
}

.c-archive-content .rag-archive-items {
	padding-inline-start: 0;
	list-style-type: '';
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) {
	margin-block-start: 8px;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item {
	padding-block: 24px;
	border-block-end: 1px solid #e5e5e5;
	display: grid;
	align-items: start;
	grid-template-columns: 140px 1fr;
	-moz-column-gap: 40px;
	column-gap: 40px;
	position: relative;
	z-index: 1;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-post-archive-item-title > a {
	display: block;
	line-height: 1.4;
	color: #1f3566;
	font-weight: 700;
	font-size: 1.125rem;
	letter-spacing: 2%;
	text-decoration: none;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-post-archive-item-title > a::after {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 2;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-post-archive-item-title > a:hover {
	color: #0c85f0;
	text-decoration: underline;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-post-archive-item-excerpt {
	margin-block-start: 4px;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	font-size: 0.75rem;
	letter-spacing: 2%;
	overflow: hidden;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-post-archive-item-excerpt > p {
	margin-block-start: 0;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-display-tags {
	margin-block-start: 16px;
}

.c-archive-content .rag-archive-items:has(.rag-post-archive-item) .rag-post-archive-item .rag-display-tags .rag-display-tag {
	position: relative;
	z-index: 3;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 16px;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item {
	position: relative;
	z-index: 1;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-thumbnail {
	border-radius: 12px;
	overflow: hidden;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-text {
	padding-block: 12px;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-name {
	margin-block: 0 2px;
	padding-inline-start: 9px;
	color: #333;
	font-size: 0.75rem;
	letter-spacing: 2%;
	position: relative;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-name::before {
	content: '';
	position: absolute;
	top: 3px;
	bottom: 3px;
	left: 0;
	border-radius: 100px;
	width: 3px;
	background-color: #1156bd;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-title a {
	display: block;
	color: #1f3566;
	font-size: 0.875rem;
	letter-spacing: 2%;
	text-decoration: none;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-title a::after {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 2;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-title a:hover {
	color: #0c85f0;
	text-decoration: underline;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-display-tags {
	margin-block-start: 8px;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-display-tags .rag-display-tag {
	position: relative;
	z-index: 3;
}

.c-archive-content .rag-archive-items:has(.rag-company-archive-item) .rag-company-archive-item .rag-company-archive-item-date {
	margin-block-start: 12px;
	line-height: 1.4;
	color: #b2b2b2;
	font-size: 0.625rem;
	letter-spacing: 2%;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) {
	margin-block-start: 16px;
	display: grid;
	row-gap: 16px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item {
	box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.12);
	padding: 16px;
	border: 1px solid #e5e5e5;
	border-radius: 10px;
	background-color: #fff;
	position: relative;
	z-index: 1;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header:has(.rag-story-archive-item-header-thumbnail) {
	display: grid;
	align-items: start;
	grid-template-columns: 1fr 160px;
	-moz-column-gap: 16px;
	column-gap: 16px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header:has(.rag-story-archive-item-header-thumbnail) .rag-story-archive-item-header-thumbnail {
	border-radius: 10px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line {
	margin-block-end: 12px;
	padding-block-end: 7px;
	border-block-end: 1px solid #e5e5e5;
	-moz-column-gap: 6px;
	column-gap: 6px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-profile-line > ul > li {
	line-height: 1.5;
	font-size: 0.875rem;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-title a {
	line-height: 1.4;
	color: #1f3566;
	font-weight: 600;
	font-size: 1.125rem;
	letter-spacing: 2%;
	text-decoration: none;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-title a::before {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 1;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-header .rag-story-archive-item-header-text .rag-story-archive-item-title a:hover {
	color: #0c85f0;
	text-decoration: underline;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-before-after {
	margin-block: 16px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-before-after .rag-before-after-item > dt {
	margin-block-end: 4px;
	padding-block: 4px;
	font-weight: 600;
	font-size: 0.75rem;
	text-align: center;
	letter-spacing: 2%;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-before-after .rag-before-after-item > dd {
	padding-block-start: 4px;
	padding-inline: 16px;
	font-size: 0.75rem;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-before-after .rag-before-after-item > dd.rag-before-after-content-income .rag-before-after-content-text {
	line-height: 1.3888888889;
	font-size: 1.125rem;
	letter-spacing: 2%;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-excerpt {
	margin-block-start: 16px;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	color: #8c8c8c;
	font-size: 0.75rem;
	letter-spacing: 2%;
	overflow: hidden;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-excerpt > p {
	margin-block-start: 0;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer {
	margin-block-start: 12px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer .rag-company-archive-item-date {
	margin-block-start: 0;
	line-height: 1.4;
	color: #b2b2b2;
	font-size: 0.625rem;
	letter-spacing: 2%;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer:has(.rag-display-tags) {
	display: grid;
	grid-template-columns: 1fr auto;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer:has(.rag-display-tags) .rag-display-tags .rag-display-tag {
	position: relative;
	z-index: 2;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer:has(.rag-display-tags) .rag-display-tags .rag-display-tag .rag-display-tag-link {
	line-height: 1.4;
	font-size: 0.625rem;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer:has(.rag-display-tags) .rag-company-archive-item-date {
	padding-block-start: 8px;
}

.c-archive-content .rag-archive-items:has(.rag-story-archive-item) .rag-story-archive-item .rag-story-archive-item-footer:not(:has(.rag-display-tags)) .rag-company-archive-item-date {
	text-align: right;
}

.c-archive-content .rag-archive-pagination {
	margin-block-start: 40px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 8px;
}

.c-archive-content .rag-archive-pagination a,
.c-archive-content .rag-archive-pagination span {
	padding: 6px;
	border: 1px solid #e5e5e5;
	border-radius: 4px;
	display: block;
	min-width: 2rem;
	color: #1f3566;
	background-color: #fff;
	font-weight: 600;
	font-size: 0.75rem;
	letter-spacing: 2%;
	text-align: center;
}

.c-archive-content .rag-archive-pagination a {
	text-decoration: none;
}

.c-archive-content .rag-archive-pagination a:hover {
	border-color: #06f;
	background-color: #f5f6fa;
}

.c-archive-content .rag-archive-pagination a:active {
	border-color: transparent;
	background-color: #f0f3ff;
}

.c-archive-content .rag-archive-pagination a:focus-visible {
	box-shadow: 0 0 3px 0 rgba(0, 97, 243, 0.7);
	border-color: #06f;
	background-color: #fff;
}

.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev a,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev span,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-next a,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-next span {
	padding: 0;
	width: 2rem;
	height: 2rem;
	overflow: hidden;
}

.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev a::before,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev span::before,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-next a::before,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-next span::before {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
	-webkit-mask-image: url(../images/icons/common/arrow-right.svg);
	mask-image: url(../images/icons/common/arrow-right.svg);
	-webkit-mask-size: 16px;
	mask-size: 16px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	-webkit-mask-position: center;
	mask-position: center;
}

.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev a::before,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-next a::before {
	background-color: #06f;
}

.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev span::before,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-next span::before {
	background-color: #b2b2b2;
}

.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev a::before,
.c-archive-content .rag-archive-pagination .rag-archive-pagination-prev span::before {
	rotate: 180deg;
}

.c-archive-content .rag-archive-pagination .wp-pagenavi {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 12px 8px;
}

.c-archive-content .rag-archive-pagination .wp-pagenavi .current {
	border-color: #244dc7;
	color: #fff;
	background-color: #244dc7;
}

.c-archive-content .rag-archive-pagination .c-archive-count {
	padding-block-end: 0;
	width: 100%;
	text-align: center;
}

.c-rag-archive-return-button {
	margin-block-start: 40px;
}

.c-rag-archive-return-button > .wp-block-button > .wp-block-button__link {
	margin-inline: auto;
}

.l-common-misc .c-banner {
	padding-inline: 24px;
}

.l-common-misc .c-banner ul {
	padding-inline-start: 0;
	list-style-type: '';
}
